package org.jeecg.ctop.finance.settlement.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import org.jeecg.common.api.vo.Result;
import org.jeecg.ctop.finance.settlement.entity.pojo.ctopCwjsSettlementFileInfo;
import org.jeecg.ctop.finance.settlement.entity.pojo.ctopCwjsSettlementInfo;
import org.jeecg.ctop.finance.settlement.entity.vo.SettlementFileParamsVo;

import java.util.List;
import java.util.Map;

public interface ISettlementFileInfoService extends IService<ctopCwjsSettlementFileInfo> {

    Result<PageInfo<Map<String,String>>> getSettlementSheetList(SettlementFileParamsVo paramsVo, Integer pageNo, Integer pageSize);


    Result deleteSettlementFile(SettlementFileParamsVo paramsVo);

    Result insertAccountImages(ctopCwjsSettlementFileInfo settlementFileInfo);

    Result getAccountNumAndImgNum(SettlementFileParamsVo paramsVo);


}
