package org.jeecg.ctop.finance.settlement.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.jeecg.ctop.finance.settlement.entity.pojo.ctopCwjsSettlementInfo;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface ISettlementInfoService extends IService<ctopCwjsSettlementInfo> {

    Result getSettlementList(ctopCwjsSettlementInfo settlementInfo, Integer pageNo, Integer pageSize);

    Result updSettlementStatusById(Long id,Integer status);

    Result deleteSettlementById(Long id);

    Result settlementAccountImport(ctopCwjsSettlementInfo settlementInfo,MultipartFile file);

}
