package org.jeecg.ctop.finance.settlement.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.lettuce.core.dynamic.annotation.Param;
import org.jeecg.ctop.finance.settlement.entity.pojo.ctopCwjsSettlementInfo;

import java.util.List;


/**
 *
 * @description:
 *
 * @return:
 * @author: zianY
 * @time: 2021/7/28 17:07
 */
public interface SettlementInfoMapper extends BaseMapper<ctopCwjsSettlementInfo> {

    /**
     *查询 财务结算-账户列表
     * @param settlementInfo
     * @return
     */
    List<ctopCwjsSettlementInfo> getSettlementList(ctopCwjsSettlementInfo settlementInfo);

    /**
     *修改财务结算账户状态
     * @param id
     * @param status
     */
    void updSettlementStatusById(@Param("id") Long id, @Param("status") Integer status);

    /**
     * 删除财务结算账户
     * @param id
     */
    void deleteSettlementById(@Param("id") Long id);

}
